Subject: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Andreas Matthias <[email-masked]>
Date: Tue, 17 Nov 2015 18:21:53 +0100

Dmitry Gutov wrote:

> Eli, please take a look at TAGS attached to this bug report. Do the entries
> there satisfy the "implicit name" conditions?
>
> etags that comes with Emacs outputs a TAGS file with explicit tags for these
> functions, and that naturally works with find-tag.
>
> But I wonder if the example TAGS (produced by a different program, apparently)
> is also valid. And if so, why Emacs's etags doesn't use the implicit tags.

The TAGS file was created with etags from the emacs distribution.

But I do not know the difference between implicit and explicit tags, sorry.

Andreas